aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorrubo77 <github@r.z11.de>2017-07-29 00:21:05 +0200
committerrubo77 <github@r.z11.de>2017-07-29 00:33:40 +0200
commitc55849b3c3f82aa144137aee5adf0d1868d91ea1 (patch)
tree2fcf7cecfc6e4aa03c7db70562184a5638f62110 /tests
parent9845c48c5ba5961b9f749b8ea21617f1961021da (diff)
travis: validate script skips empty lines in packages list
Diffstat (limited to 'tests')
-rwxr-xr-xtests/validate_site.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/tests/validate_site.sh b/tests/validate_site.sh
index d7334df..e6dbbad 100755
--- a/tests/validate_site.sh
+++ b/tests/validate_site.sh
@@ -60,11 +60,13 @@ sed -i 's/\s\\$//g;/^$/d' $testpath/site.mk.sh
sed -i 's/gluon-mesh-batman-adv-1[45]/gluon-mesh-batman-adv/g' $testpath/site.mk.sh
cat $testpath/site.mk.sh |
while read packet; do
- echo "check $packet ..."
- if [ "$(find $testpath/packages/ -type d -name "$packet")" '!=' '' ]; then
- : find found something
- else
- echo "ERROR: $packet missing"
- exit 1
+ if [ "$packet" != "" ]; then
+ echo "check $packet ..."
+ if [ "$(find $testpath/packages/ -type d -name "$packet")" '!=' '' ]; then
+ : find found something
+ else
+ echo "ERROR: $packet missing"
+ exit 1
+ fi
fi
done